'use client';

import React from 'react';
import {
  AppShell,
  Navbar,
  Title,
  Stack,
  Text,
  Box,
  Button,
} from '@mantine/core';

interface LayoutProps {
  children: React.ReactNode;
}

const Sidebar = () => (
  <Navbar width={{ base: 220 }} p="xs" style={{ backgroundColor: '#f4f6fa' }}>
    <Box>
      <Title order={5} color="blue" mb="md">
        Funds Transfer
      </Title>
      <Stack spacing="xs">
        <Button variant="filled" fullWidth color="blue" radius="xs">
          Transact
        </Button>
        <Button variant="light" fullWidth color="blue" radius="xs">
          Enquire
        </Button>
        <Button variant="light" fullWidth color="blue" radius="xs">
          Request
        </Button>
      </Stack>
    </Box>
  </Navbar>
);

const LayoutWithSidebar: React.FC<LayoutProps> = ({ children }) => {
  return (
    <AppShell
      padding="md"
      navbar={<Sidebar />}
      styles={{
        main: {
          backgroundColor: '#ffffff',
          minHeight: '100vh',
        },
      }}
    >
      {children}
    </AppShell>
  );
};

export default LayoutWithSidebar;
