"use client";
import { Button, Group } from '@mantine/core';
import { IconHome } from '@tabler/icons-react';
import Link from 'next/link';
import React from 'react';

export default function Layout({ children }: { children: React.ReactNode }) {
    return (
        <div style={{ display: "flex" }}>
            <div
                style={{
                    // width: "250px",
                    backgroundColor: '#c5e4f9',
                    padding: "20px",
                    display: "flex",
                    flexDirection: "column",
                    justifyContent: "flex-start",
                    gap: "20px",
                    borderRight:"1px solid #ccc",
                }}
            >
                <h2 style={{ fontSize: "20px", marginBottom: "10px" }}>Menu</h2>

                <Link href="/" passHref>
                    <Button
                        component="a"
                        leftSection={<IconHome size={16} />}
                        variant="light"
                        color="blue"
                        fullWidth
                    >
                        Quick Pay
                    </Button>
                </Link>

                <Link href="/" passHref>
                    <Button
                        component="a"
                        leftSection={<IconHome size={16} />}
                        variant="light"
                        color="blue"
                        fullWidth
                    >
                        Send to Beneficiary
                    </Button>
                </Link>

                <Link href="/" passHref>
                    <Button
                        component="a"
                        leftSection={<IconHome size={16} />}
                        variant="light"
                        color="blue"
                        fullWidth
                    >
                        Transfer within the bank
                    </Button>
                </Link>
            </div>

            {/* Main content */}
            <div style={{
                // width: '80%',
                // padding: '20px',
                // border:'1px solid red'
            }}>
                {children}
            </div>
        </div>
    );
}
