"use client";

import {
  AppShell,
  Box,
  Button,
  Flex,
  Group,
  Image,
  Stack,
  Text,
} from '@mantine/core';

export default function DashboardLayout() {
  return (
    <AppShell
      header={{ height: 80 }}
      footer={{ height: 60 }}
      padding="md"
      styles={{
        main: {
          paddingTop: 80,
          paddingBottom: 60,
        },
      }}
    >
      {/* Header */}
      <AppShell.Header withBorder={false}>
        <Flex align="center" h="100%" px="md" justify="space-between">
          <Image src="/logo.png" alt="Logo" height={40} />
          <Text fw={600}>Fund Transfer Portal</Text>
        </Flex>
      </AppShell.Header>

      {/* Sidebar + Content */}
      <AppShell.Main>
        <Flex h="100%" gap="md">
          {/* Sidebar */}
          <Box w={220} p="md" bg="gray.1" style={{ borderRadius: 8 }}>
            <Stack spacing="md">
              <Button fullWidth variant="light" color="blue">
                Quick Pay
              </Button>
              <Button fullWidth variant="light" color="blue">
                Send to Beneficiary
              </Button>
              <Button fullWidth variant="light" color="blue">
                Transfer
              </Button>
            </Stack>
          </Box>

          {/* Main content */}
          <Box flex={1} p="md" bg="gray.0" style={{ borderRadius: 8 }}>
            {/* You can import your FundTransferForm component here */}
            <Text>Welcome to the Transfer Page</Text>
          </Box>
        </Flex>
      </AppShell.Main>

      {/* Footer */}
      <AppShell.Footer withBorder={false}>
        <Flex align="center" justify="center" h="100%">
          <Text size="sm" c="dimmed">
            © 2025 Your Company
          </Text>
        </Flex>
      </AppShell.Footer>
    </AppShell>
  );
}
